package writer2latex.rdf;

import java.io.IOException;
import java.io.OutputStream;
import java.util.Vector;


import writer2latex.api.ConverterResult;
import writer2latex.api.OutputFile;
import writer2latex.util.Misc;
import writer2latex.xhtml.XhtmlConfig;
import writer2latex.xhtml.XhtmlDocument;


public class RDFDocumentResult implements OutputFile {
	
	
	private ConverterResult xhtmlResult;
	private String sFileName;
	private XhtmlConfig config;
	private DocumentStructure rdfStructure = null;
	

	public RDFDocumentResult(Vector<XhtmlDocument> outFiles,  String fileName, XhtmlConfig config) {
		this.sFileName = Misc.removeExtension(fileName);
		this.config = config;
		rdfStructure = new DocumentStructure(outFiles,fileName);
		Metadata metadata = new Metadata();
		metadata.read(config.getCSVMetadataFile());
		rdfStructure.applyMetadata(metadata);
		rdfStructure.createTree();

	}
	
	
	@Override public String getFileName() {
		return sFileName+".rdf";
	}

	@Override public String getMIMEType() {
		return "rdf";
	}

	@Override public boolean isMasterDocument() {
		return true;
	}
	
	@Override public boolean containsMath() {
		return false;
	}

	@Override public void write(OutputStream os) throws IOException {		
		rdfStructure.printModel(os);
		
	}
}
